namespace SafeCampus.Application.Services.Business.CameraInfoService;

public interface ICameraInfoService:ITransient
{
    /// <summary>
    /// 数据同步
    /// </summary>
    /// <returns></returns>
    Task<bool> DataSync();
   /// <summary>
   /// 获取摄像头列表
   /// </summary>
   /// <param name="search"></param>
   /// <returns></returns>
    Task<SqlSugarPagedList<CameraInfoDto>> GetPageList(CameraSearch search);
    /// <summary>
    /// 批量给摄像头设置分组
    /// </summary>
    /// <param name="input"></param>
    /// <returns></returns>
    Task<bool> BatchSetGroup(SetGroupInput input);
    /// <summary>
    /// 根据分组批量设置推送人
    /// </summary>
    /// <param name="input"></param>
    /// <returns></returns>
    Task<bool> BatchSetPushPersonByGroup(SetPushPersonGroupInput input);
    /// <summary>
    /// 对摄像头批量设置推送人
    /// </summary>
    /// <param name="input"></param>
    /// <returns></returns>
    Task<bool> BatchSetPushPerson(SetPushPersonInput input);
    /// <summary>
    /// 根据预警分组设置推送人
    /// </summary>
    /// <param name="input"></param>
    /// <returns></returns>
    Task<bool> BatchSetPushPersonByWarn(SetPushPersonWarnInput input);
}